/*
 * Copyright (c) 2004 by Daniel Stone.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) OR AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of the copyright holder(s)
 * and author(s) shall not be used in advertising or otherwise to promote
 * the sale, use or other dealings in this Software without prior written
 * authorization from the copyright holder(s) and author(s).
 */

#include "xf86.h"

void debrixInit(void);

void debrixInit() {
	char *builtins[] = {
		"ddc",
		"fb",
		"fbdevhw",
		"i2c",
		"int10",
		"rac",
		"ramdac",
		"scanpci",
		"shadow",
		"shadowfb",
		"vbe",
		"vgahw",
		"xaa",
		"xf1bpp",
		"xf4bpp",
		NULL
	};
	int i, maj, min;
	char *m;
	
	for (i = 0; (m = builtins[i]); i++) {
		if (!LoadModule(m, NULL, NULL, NULL, NULL, NULL, &maj, &min, 1)) {
			xf86MsgVerb(X_ERROR, 0,
			            "Couldn't load builtin module \"%s\"\n", m);
			LoaderErrorMsg(NULL, m, maj, min);
		}
		else
			xf86MsgVerb(X_INFO, 0,
			            "Module \"%s\" loaded as builtin.\n", m);
	}
}
